cascading.flow.hadoop

## Class FlowReducer

- java.lang.Object
- - org.apache.hadoop.mapred.MapReduceBase
  - - cascading.flow.hadoop.FlowReducer

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, org.apache.hadoop.mapred.JobConfigurable, org.apache.hadoop.mapred.Reducer

      public class FlowReducer
      extends org.apache.hadoop.mapred.MapReduceBase
      implements org.apache.hadoop.mapred.Reducer

  Class FlowReducer is the Hadoop Reducer implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowReducer()` Constructor FlowReducer creates a new FlowReducer instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `configure(org.apache.hadoop.mapred.JobConf jobConf)`
    `void` | `reduce(java.lang.Object key, java.util.Iterator values, org.apache.hadoop.mapred.OutputCollector output, org.apache.hadoop.mapred.Reporter reporter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowReducer

          public FlowReducer()

      Constructor FlowReducer creates a new FlowReducer instance.

  - ### Method Detail

    - #### configure

          public void configure(org.apache.hadoop.mapred.JobConf jobConf)

      Specified by:
        `configure` in interface `org.apache.hadoop.mapred.JobConfigurable`
      Overrides:
        `configure` in class `org.apache.hadoop.mapred.MapReduceBase`

    - #### reduce

          public void reduce(java.lang.Object key,
                    java.util.Iterator values,
                    org.apache.hadoop.mapred.OutputCollector output,
                    org.apache.hadoop.mapred.Reporter reporter)
                      throws java.io.IOException

      Specified by:
        `reduce` in interface `org.apache.hadoop.mapred.Reducer`
      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `org.apache.hadoop.mapred.MapReduceBase`
      Throws:
        `java.io.IOException`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.